
Redmine - Defect #5532

Meaningful error messages when using OpenID

2010-05-15 16:04 - Nikita Borisov

Status: Closed Start date: 2010-05-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: OpenID Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 0.9.3

Description

I spent a long time trying to figure out how to get OpenID working on my Redmine installation.  One thing that made it difficult is that,

whenever the OpenID module got any sort of error, it would simply point me back to the sign in page.  It took looking through the logs

to figure out what's wrong (e.g., mistyped OpenID URL.)  In addition, I couldn't get the Google OpenID URL I used on other services

to work (http://google.com/profiles/nikitab/) and then even the log file didn't offer any useful explanation (see issue #5531).  It would

be very helpful if, whenever this happened, an error message was displayed to the user explaining what's wrong.  (I'm still not sure

what was wrong with the profiles URL, but the work-around suggested in #5531 helped.)

History

#1 - 2011-03-23 11:24 - Toshi MARUYAMA

- Category set to Accounts / authentication

#2 - 2011-09-13 10:48 - Etienne Massip

- Category changed from Accounts / authentication to OpenID

#3 - 2021-12-14 01:14 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

The OpenID support has been dropped by #35755 for the upcoming Redmine 5.0.0.
